package zigen.plugin.db.ext.jdt.vo.rule;

import zigen.plugin.db.core.TableColumn;

public class OracleVOMappingFactory extends DefaultVOMappingFactory {

	public String getJavaType(TableColumn column) {

		if ("NCHAR".equals(column.getTypeName().toUpperCase()) || "NVARCHAR2".equals(column.getTypeName().toUpperCase())) {
			return "String"; //$NON-NLS-1$
		} else {
			return getJavaType(column.getDataType());
		}

	}


}